/**

  Spago4Q - The Business Intelligence Free Platform

  Copyright (C) 2009 Engineering Ingegneria Informatica S.p.A.

  Spago4Q is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  Spago4Q is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

**/
package it.eng.spago4q.utilities;

import it.eng.spago4q.extractors.utilities.ExtractorConstants;

public class Spago4QConstants {

	public final static String LOGGER = "Spago4Q";

	public final static String NAME_MODULE = "Spago4Q";

	public final static String SPAGO4Q_MODE = "SPAGO4Q.SPAGO4Q-MODE.mode";
	public final static String SPAGO4Q_MODE_PORTLET = "PORTLET";
	public final static String SPAGO4Q_MODE_WEB = "WEB";
	public final static String SPAGO4Q_MODE_HTTP = "HTTP";

	public static final String PAGE = "PAGE";
	public static final String MODULE = "MODULE";

	public static final String PAGE_MESSAGE = "MESSAGE";
	public static final String MESSAGE_LIST = "LIST";
	public static final String MESSAGE_DETAIL = "DETAIL";
	public static final String MESSAGE_VIEW = "VIEW";
	public static final String MESSAGE_EDIT = "EDIT";
	public static final String MESSAGE_DELETE = "DELETE";

	public final static String SPAGO4Q_LANGUAGE_SUPPORTED_LANGUAGE = "SPAGO4Q.LANGUAGE_SUPPORTED.LANGUAGE";

	public static final String URL_BUILDER = "URL_BUILDER";
	public static final String MESSAGE_BUILDER = "MESSAGE_BUILDER";

	public static final String[] FIELD_TYPES_ARRAY = new String[] {
			ExtractorConstants.STRING, ExtractorConstants.INTEGER,
			ExtractorConstants.DOUBLE, ExtractorConstants.BOOLEAN,
			ExtractorConstants.DATE };
	
	public static final String[] SCRIPT_TYPES_ARRAY = new String[] {
		ExtractorConstants.GROOVY, ExtractorConstants.DATE_CONVERTER};
	
}
